TN-V4 is coming – Should you update?

TN-V4 is coming out soon and the forums are flooded with questions asking if one should update to 3.00 or if they should stay on X.XX firmware. Since this is somewhat repetitive (and truly, there isn’t anything big to lose) I will be outlining what the differences will be if you are on 1.80 etc vs if you’re on the latest firmware.

So, TN-V4 is a huge update compared to TN-V3. A complete changelog was released some time ago. But people keep asking if it is worth updating for TN-V4. Essentially, it comes down to your own choice and how you plan to use eCFW.

High memory support

This is most likely the one main difference between different firmwares. Firmware 2.12 supports high memory, which basically means that you have 64mb RAM instead of 32mb. If you’re on anything below or after 2.12, it’s best to update.

If you guys want to have high memory, please update to 2.12. As on FW’s below, there are incompatibilities with PSP Emu flash0 files (in example the OSK would not appear).

-Total-Noob ( Source )

High memory isn’t a really big thing because all PSP games will work fine using just 32mb RAM. 64mb RAM will only make some emulators work faster but other than that, there isn’t really anything special about it. However, if you want high memory support and are on a firmware lower than 2.12 AND have a PS3, you can get the exploited game or any exploit released on or after 2.12 (like the Arcade games) update manually and transfer the exploit game to your Vita.

PS4 Link and psn access

If you happen to be the lucky lot who have a PS4, the PSVita and PS4 remote play is an amazing thing to try (from what I hear). However, the PS4Link app was only added with OFW 3.00 which means you’ll have to update if your interested in giving it a try.

Also, you only have PSN access on the latest firmware i.e. FW 3.00 which means if you want to grab some games before getting ‘blocked’ you’ll have to update. I’d say it’s worth it, with titles like Killzone Mercenary and Tearaway, it is really worth updating to grab them.

 

Why do we need to buy a game to get tn-v4?

This is another question I see a lot. Why do I need to pay for a game to get an exploit, be it VHBL or TN-V4?

Basically, because we can’t run unsigned code on the PSVita or the PSP Emulator, we need a sort of vector to start up our code, that’s where the game comes in. By finding a ‘mistake’ in the way a PSP game works with it’s resources (usually the savedata file) we are able to hijack the game and jump to our own code where we can do whatever we want (there are some limits which make the difference between user mode and kernel mode but those are outside the scope of this article).

With almost every firmware update, Sony patches a few games, usually ones which we release on this website so for each new firmware we need to use a new game.

when is tn-v4 coming out? The PS4 is already out!

Lately I’ve seen quite a lot of posts and comments along these lines. We promised that TN-V4 would come out soon after PS4 so why isn’t it out yet?

Quite simply speaking, it will come out, you just need to wait. Remember that the developers are human beings too, they have their own life to concentrate on and anyway, who doesn’t like a bit of suspense? You wouldn’t want a bad release where the exploit is patched before you can get it would you?

So please, respect the developers and coordinators for giving their time for everyone in the scene. Spamming the board or the blog won’t make the release happen any sooner (in fact it might even delay the release ;) )

  1. Arthanis’s avatar

    Im still confused. TN-V4 alone won’t help me to run psp isos, right? If I happen to want to be able to run isos, better keep, my umo exploit, right?

    Reply

    1. Oreo’s avatar

      No there will be a exploit released when tn-v4 is releases sometime between now and January. So you could update and still play psp backups (iso’s). Updating if you already have another exploit will just give you ps4 compatibility and will cost you for the game. So is the ps4 compatibility worth the money? I think it is.

      Reply

    2. hgoel0974’s avatar

      If you’re using UNO, you’re using TN-V3 or something. If you choose to update to a newer firmware, you will need a new game. However TN-V4 will be released for UNO as well.

      TN-V4 is an update to TN-V3 just with a newer kexploit (thus it works on newer firmware)

      Reply

  2. Smurf’s avatar

    Here’s to hoping the new game will be like a $2.50 game or I already own it because I’m broke and that’s what I have left on psn :)

    Reply

    1. Oreo’s avatar

      If only they were games i had like god of war…. i wish it would be something along those lines.

      Reply

    2. Anonymous’s avatar

      Sorry to dissapoint you. But no.

      Reply

    3. Frank’s avatar

      It’s not a cheap game, sorry for you…

      Reply

      1. Smurf’s avatar

        Yep I’m boned. I’ll see if I can come up with something.

        Reply

  3. mike24’s avatar

    On a earlier post it stated if you are on firmware 2.12 or lower you will be entitled to expanded memory. Now I read this post its a different story.. Who is telling the truth???

    Reply

    1. hgoel0974’s avatar

      Well that was what TN said originally, we still do have 64mb RAM on lower firmwares, however TN has decided not to make it available because it was extremely buggy (like the OSK would not work)

      Reply

    2. mlc’s avatar

      As hgoel says, TN initially thought he could make it work below 2.12. It turned out that it was too difficult or buggy on firmwares below 2.10, so now the extra ram is 2.10 to 2.12. Personally I will stick with 1.81 unless there is a Vita game that I need, but it may be worthwhile to upgrade to 2.1x for some homebrew.

      I may upgrade to 2.12 if that enables CPSPSP/MVSPSP without cache files, though. The saved space might be worth it, as I really only use 1 exploit despite having every (released) 1.81+ exploit. The only good reason to wait to upgrade is “convenience,” though I wouldn’t upgrade to 3.00 until I found some new Vita games I wanted.

      Reply

  4. icekingdom’s avatar

    maybe you not believing god,but you do his work,thank you

    Reply

  5. Ecnj07’s avatar

    there is a new firmware update just now fck! I didnt make it in time.

    Reply

  6. DiabloNocturnia’s avatar

    I’m on fw 3.00, psn now wants me to update. I think the exploit may have been compromised already.

    Reply

  7. Beef Stew’s avatar

    SinceI’m too stupid and will never learn how to do this, I got an NVidia Shield.
    Spent about $280 for the Shield and a 64gig micro sd card.
    It has a full 720p screen. It’s simply amazing. Perfect for emulating EVERYTHING
    I highly recommend it for anyone as stupid as me.
    Before you flame me, saying I should have used a psp, I did have my psp modded. It was great. But I really wanted a super beautiful screen.
    The shield also has an amazing comfortable controller. It’s not as portable as the others, but the trade offs are more than worth it in my opinion.

    Reply

    1. Hellbelial’s avatar

      I envy you man i would love to play Castlevania Dawn Of Sorrow,Eclessia and Portrait Of Ruins on my Vita,sadly Konami said that those games are made for 2 screens and we cant play it on the vita.I didnt said,”Please make exactly the same games for vita” i recomend them to remake them for the vita.You cant play Ds games on shield i recomend Castlevania and Rockman or megaman.

      Reply

      1. Beef Stew’s avatar

        I play the DS on my Shield. I have about 1400 DS games on it.
        You can split screen, have two different sizes on split screen, or simply swap screen.
        The DS plays excellently on the Shield and all the buttons, except R2 and L2, are mappable.

        Reply

        1. Beef Stew’s avatar

          That should say 140, not 1400 lol

          Reply

  8. azh_97’s avatar

    (Sigh).. Guess I have to stay with the UNO exploit (EUR) forever.. or at least when I have a credit card (That will take very long to get it from now, I’m just a 16 old teenager live outside US) or when the PSV has been hacked (which is not possible yet).. Then yet, lucky for me that I have one of the exploit… For Total Noob, keep up the good work.. Hope you will be a successful person!! THanks for making the PSV more exciting to me!!

    Reply

  9. Imoutosora’s avatar

    thx I’ll update 3.01

    Reply

  10. Kevin’s avatar

    Will we ever see anything that will enable the vita to support ps3 controllers?

    More notably if I attach the USB end of the charge port to a male-to-male connector to use my TE stick to play fighting games on the go! Been dying to play UMVC3 on the road!

    Reply

  11. GEEEK’s avatar

    I am currently on frmwre 2.60 w\arcade Darts Vhbl. Do I need to update firmaware to get the TN-V4 game? NE help is appreciated.

    Reply

  12. GEEEK’s avatar

    Ok I am updateing to 3.01. Can I cancel it midway , cause folks seem to imply old exploits will work.

    Reply

  13. BigBossJC’s avatar

    I thought that once this exploit came out I could update to 3.00 then install the exploit so I could have both the new tn-v4 kernel exploit and ps4 link. However I just read that every time you try to do the ps4 link it tells you to update to the latest firmware so is it true that I can only have the best of both worlds until Sony updates the firmware?

    Reply

  14. Fate’s avatar

    won oh won meegle mux <-

    Reply

  15. CJW’s avatar

    You know you can update to an Vita firmware higher than the one installed by modifying the XML update file and then serving the update files locally and using open CMA. There is a tutorial on how to do this on this website as well as links to all the OFW files. I did it myself a few days ago and actually didn’t have to even locally host the 3.0 files because Sony still has them active. Anyways on 3.0 now, got the exploit game and just waiting for new VHBL and TN4……meanwhile I am taking advantage of the cheap PSN Plus I got black Friday ($20 for a year) and playing Soul Sacrifice and the other free games.

    Reply

  16. tiagotl’s avatar

    como faço pra saber o nome do jogo ? e quantos dolares devo adicionar na minha conta para compra-lo?

    Reply

  17. tiagotl’s avatar

    I like to know the name of the game? and how many dollars should I add in my account to buy it?

    Reply

  18. mizu’s avatar

    Wait has the game been released? I’m really confused.

    Reply

  19. chAd’s avatar

    Will I be able to any ps1 eboots?,

    Reply

· 1 · 2

Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>